## ksshaskpass 0.4.1

=== CMakeLists.txt ===
project(ksshaskpass) # the name of your project

cmake_minimum_required(VERSION 2.4.0)

find_package(Qt3 REQUIRED) # find and setup Qt3 for this project
find_package(KDE3 REQUIRED) # find and setup KDE3 for this project

add_definitions(${QT_DEFINITIONS} ${KDE3_DEFINITIONS})

# tell cmake where to search for libraries:
link_directories(${KDE3_LIB_DIR})

# tell cmake where to search for Qt/KDE headers:
include_directories(${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR})

# tell cmake to process CMakeLists.txt in that subdirectory
add_subdirectory(src)

=== src/CMakeLists.txt ===
set(ksshaskpass_SRCS
    ksshaskpass.cpp
)

add_executable(ksshaskpass ${ksshaskpass_SRCS})

target_link_libraries(ksshaskpass ${QT_LIBRARIES} kdeui kwalletclient)

install(TARGETS ksshaskpass DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
install(FILES ksshaskpass.1 DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)

## ksshaskpass 0.5.1

=== CMakeLists.txt ===
project(ksshaskpass)
 
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories( ${KDE4_INCLUDES} )
 
set(ksshaskpass_SRCS src/main.cpp)
 
kde4_add_executable(ksshaskpass ${ksshaskpass_SRCS})
target_link_libraries(ksshaskpass ${KDE4_KDEUI_LIBS})

install(TARGETS ksshaskpass DESTINATION ${BIN_INSTALL_DIR})
install(FILES src/ksshaskpass.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

install(FILES doc/ksshaskpass.1 DESTINATION ${MAN_INSTALL_DIR}/man1)

## ksshaskpass 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,8 @@
 include(KDE4Defaults)
 
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
-include_directories( ${KDE4_INCLUDES} )
+include_directories(${KDE4_INCLUDES})
+set(CMAKE_SKIP_RPATH TRUE)
  
 set(ksshaskpass_SRCS src/main.cpp)

=== debian/changelog ===
ksshaskpass (0.5.3-1build2) precise; urgency=low

  * Rebuild for the kdebase-runtime transition

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 29 Mar 2012 20:25:50 -0400

ksshaskpass (0.5.3-1build1) maverick; urgency=low

  * Rebuild upload to take advantage of the kdelibs5 split in 10.10

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 17 Aug 2010 11:13:45 -0400

ksshaskpass (0.5.3-1) unstable; urgency=low

  * New upstream release.
    - Upload to unstable.
  * Raise standards version to 3.8.3. No changes needed.
  * Use dh v7 and minimal rules file:
    - Build depend on debhelper 7.3 for cmake support.
  * Switch package to dpkg-source format 3.0 (quilt).
  * Add README.Debian.
  * Update my email address.
  * Depend on ${misc:Depends}.
  * Override lintian warning 'desktop-command-not-in-package'.
  * Remove unused postrm file.

 -- Armin Berres <armin+debian@space-based.de>  Sat, 02 Jan 2010 00:01:55 +0100

ksshaskpass (0.5.1-1) experimental; urgency=low

  * New upstream release. Ported to KDE 4.
  * Update build dependencies for KDE 4.
  * Drop private cmake.mk.
  * Build depend on and use pkg-kde-tools.
  * Remove build dependency on quilt.
  * Recommend kwalletmanager.

 -- Armin Berres <armin+debian@space-based.de>  Sun, 30 Nov 2008 12:19:17 +0100

ksshaskpass (0.4.1-1) unstable; urgency=low

  * Initial release (Closes: #413109)

 -- Armin Berres <armin+debian@space-based.de>  Tue, 10 Jun 2008 23:40:01 +0200

=== debian/control ===
Source: ksshaskpass
Section: utils
Priority: optional
Maintainer: Armin Berres <armin+debian@space-based.de>
Build-Depends: debhelper (>= 7.3), kdelibs5-dev, cmake
Standards-Version: 3.8.3
Homepage: http://www.kde-apps.org/content/show.php/show.php?content=50971

Package: ksshaskpass
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssh-client
Recommends: kwalletmanager
Provides: ssh-askpass
Description: interactively prompt users for a passphrase for ssh-add
 A KDE 4 version of ssh-askpass with KWallet support.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
		-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
		-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

%:
	dh --buildsystem=cmake --builddirectory=builddir $@

## ksshaskpass 5.2.2

=== debian/changelog ===
ksshaskpass (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:21:58 -0700

ksshaskpass (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:41:09 -0800

ksshaskpass (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:53:46 +0100

ksshaskpass (4:5.1.95-0ubuntu1) vivid; urgency=medium

  [ Sergey Popov ]
  * New upstream release.

  [ Harald Sitter ]
  * Drop now useless dirs file
  * Use pkg-kde-tools in rules
  * Update lintian-override
  * Bump dh compat to 9
  * Set maintainer to Debian/Kubuntu, retain origin maintainer as XSBC field
  * override missing manpage

  [ Jonathan Riddell ]
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:30:58 +0100

=== debian/control ===
Source: ksshaskpass
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
XSBC-Original-Maintainer: Armin Berres <armin+debian@space-based.de>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kdoctools-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               pkg-kde-tools,
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/ksshaskpass

Package: ksshaskpass
Architecture: any
Depends: openssh-client, ${misc:Depends}, ${shlibs:Depends}
Recommends: kwalletmanager
Provides: ssh-askpass
Description: interactively prompt users for a passphrase for ssh-add
 A version of ssh-askpass with KWallet support.

## ksshaskpass 5.4.2

=== debian/changelog ===
ksshaskpass (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:54:55 +0100

ksshaskpass (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:17:14 +0100

ksshaskpass (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:50:59 +0100

ksshaskpass (4:5.3.95-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:14:58 +0200

ksshaskpass (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:28:46 +0000

ksshaskpass (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:32:03 +0200

ksshaskpass (4:5.3.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).
  * New patch: manpage-add-last-modified-date (Closes: #787115)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 04 Jun 2015 13:54:59 +0200

ksshaskpass (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:57 +0100

ksshaskpass (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 12 Feb 2015 22:28:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-XSBC-Original-Maintainer: Armin Berres <armin+debian@space-based.de>
-Build-Depends: cmake,
+Uploaders: Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules,
                kdoctools-dev,
@@ -11,10 +11,12 @@
                libkf5i18n-dev,
                libkf5wallet-dev,
                libkf5widgetsaddons-dev,
-               pkg-kde-tools,
-               qtbase5-dev
+               pkg-kde-tools (>= 0.15.16),
+               qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/ksshaskpass
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/ksshaskpass.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/ksshaskpass.git
 
 Package: ksshaskpass
 Architecture: any

## ksshaskpass 5.5.5

=== CMakeLists.txt ===
project(ksshaskpass)
cmake_minimum_required(VERSION 2.8.12)
set(PROJECT_VERSION "5.5.5")

find_package(Qt5 REQUIRED COMPONENTS Core)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)

find_package(KF5 REQUIRED COMPONENTS
    CoreAddons
    I18n
    Wallet
    WidgetsAddons
)

find_package(KF5DocTools)
set_package_properties(KF5DocTools PROPERTIES TYPE OPTIONAL
   PURPOSE "Required to build ksshaskpass manpage")

set(ksshaskpass_SRCS src/main.cpp)
 
add_executable(ksshaskpass ${ksshaskpass_SRCS})
target_compile_definitions(ksshaskpass PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(ksshaskpass 
    KF5::CoreAddons
    KF5::I18n
    KF5::Wallet
    KF5::WidgetsAddons
)

install(TARGETS ksshaskpass DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES src/org.kde.ksshaskpass.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

if (KF5DocTools_FOUND)
add_subdirectory(doc)
endif()
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
ksshaskpass (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 14 Apr 2016 13:42:21 -0700

ksshaskpass (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No reminaing changes. 
  * 
  * New upstream release Xenial

  [ Clive Johnston ]
  * new upstream release
  * New upstream release
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:23:12 +0100

ksshaskpass (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:32:09 +0100

ksshaskpass (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:46:05 +0100

ksshaskpass (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:23 +0200

ksshaskpass (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:42 +0200

ksshaskpass (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).
  * Remove upstream applied patch: manpage-add-last-modified-date

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 15:10:14 +0200

ksshaskpass (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 21:53:55 +0200

ksshaskpass (4:5.3.1-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).
  * New patch: manpage-add-last-modified-date (Closes: #787115)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 10:15:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules,
-               kdoctools-dev,
-               libkf5coreaddons-dev,
-               libkf5i18n-dev,
-               libkf5wallet-dev,
-               libkf5widgetsaddons-dev,
+               extra-cmake-modules (>= 5.18.0~),
+               kdoctools-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5wallet-dev (>= 5.18.0~),
+               libkf5widgetsaddons-dev (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/ksshaskpass-([\d.]+)\.tar\.xz
http://download.kde.org/stable/plasma/([\d.]+)/ksshaskpass-([\d.]+)\.tar\.xz

## ksshaskpass 5.7.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(ksshaskpass)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.5.5")
+set(PROJECT_VERSION "5.7.5")
 
 find_package(Qt5 REQUIRED COMPONENTS Core)
 
@@ -35,7 +35,6 @@
 )
 
 install(TARGETS ksshaskpass DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
-install(FILES src/org.kde.ksshaskpass.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 
 if (KF5DocTools_FOUND)
 add_subdirectory(doc)

=== debian/changelog ===
ksshaskpass (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:27:12 -0500

ksshaskpass (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:05:43 +0000

ksshaskpass (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:45:49 +0100

ksshaskpass (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:19:17 -0700

=== debian/control ===
Source: ksshaskpass
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5wallet-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/ksshaskpass
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksshaskpass
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksshaskpass

Package: ksshaskpass
Architecture: any
Depends: openssh-client, ${misc:Depends}, ${shlibs:Depends}
Recommends: kwalletmanager
Provides: ssh-askpass
Description: interactively prompt users for a passphrase for ssh-add
 A version of ssh-askpass with KWallet support.

## ksshaskpass 5.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(ksshaskpass)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.7.5")
+set(PROJECT_VERSION "5.8.4")
 
 find_package(Qt5 REQUIRED COMPONENTS Core)

=== debian/changelog ===
ksshaskpass (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:36:29 +0100

ksshaskpass (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:21:36 +0200

ksshaskpass (4:5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 22:58:15 +0200

ksshaskpass (4:5.8.0-1) unstable; urgency=medium

  * New upstream release (5.8.0)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:04:16 +0200

ksshaskpass (4:5.7.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.7.4)

  [ Diederik de Haas ]
  * Added snippet to set ksshaskpass as ssh askpass program (Closes: 831600)
  * Updated location of the autostart folder.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Aug 2016 14:49:36 +0200

ksshaskpass (4:5.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Jul 2016 15:14:18 +0200

ksshaskpass (4:5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Jun 2016 11:03:38 +0200

ksshaskpass (4:5.6.4-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 May 2016 10:13:32 +0200

ksshaskpass (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:14 +0100

=== debian/control ===
Source: ksshaskpass
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules,
               libkf5coreaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/ksshaskpass
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/ksshaskpass.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/ksshaskpass.git

Package: ksshaskpass
Architecture: any
Depends: openssh-client, ${misc:Depends}, ${shlibs:Depends}
Recommends: kwalletmanager
Provides: ssh-askpass
Description: interactively prompt users for a passphrase for ssh-add
 A version of ssh-askpass with KWallet support.

## ksshaskpass 5.9.4

=== debian/changelog ===
ksshaskpass (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:59:13 +0000

ksshaskpass (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:53:05 +0000

ksshaskpass (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:06:13 +0000

ksshaskpass (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:21:08 +0000

ksshaskpass (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:55:43 +0000

ksshaskpass (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:46:00 +0000

ksshaskpass (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * Merge from debian
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:55:06 +0000

=== debian/control ===
Source: ksshaskpass
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/ksshaskpass
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksshaskpass
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksshaskpass

Package: ksshaskpass
Architecture: any
Depends: openssh-client, ${misc:Depends}, ${shlibs:Depends}
Recommends: kwalletmanager
Provides: ssh-askpass
Description: interactively prompt users for a passphrase for ssh-add
 A version of ssh-askpass with KWallet support.

## ksshaskpass 5.9.5

=== debian/changelog ===
ksshaskpass (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:16:44 +0100

## ksshaskpass 5.10.5

=== debian/changelog ===
ksshaskpass (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:40:17 +0100

ksshaskpass (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:38:16 +0100

ksshaskpass (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:16:49 +0100

ksshaskpass (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:13:12 +0100

ksshaskpass (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:09:56 +0100

ksshaskpass (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:50:13 +0100

ksshaskpass (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:32:52 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5doctools-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5wallet-dev (>= 5.31.0~),
-               libkf5widgetsaddons-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
+               libkf5coreaddons-dev (>= 5.36.0~),
+               libkf5doctools-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5wallet-dev (>= 5.36.0~),
+               libkf5widgetsaddons-dev (>= 5.36.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8

## ksshaskpass 5.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(ksshaskpass)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.8.4")
+set(PROJECT_VERSION "5.12.4")
 
 find_package(Qt5 REQUIRED COMPONENTS Core)
 
@@ -8,7 +8,7 @@
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 include(FeatureSummary)

=== debian/changelog ===
ksshaskpass (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:53:16 +0100

ksshaskpass (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:49:11 +0000

ksshaskpass (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:42:47 +0000

ksshaskpass (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:12:50 +0000

ksshaskpass (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:50:17 +0000

ksshaskpass (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:38:58 +0000

ksshaskpass (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:15:04 -0600

ksshaskpass (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:58:26 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.36.0~),
-               libkf5coreaddons-dev (>= 5.36.0~),
-               libkf5doctools-dev (>= 5.36.0~),
-               libkf5i18n-dev (>= 5.36.0~),
-               libkf5wallet-dev (>= 5.36.0~),
-               libkf5widgetsaddons-dev (>= 5.36.0~),
+               extra-cmake-modules (>= 5.42.0~),
+               libkf5coreaddons-dev (>= 5.42.0~),
+               libkf5doctools-dev (>= 5.42.0~),
+               libkf5i18n-dev (>= 5.42.0~),
+               libkf5wallet-dev (>= 5.42.0~),
+               libkf5widgetsaddons-dev (>= 5.42.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/ksshaskpass-([\d.]+)\.tar\.xz

## ksshaskpass 5.12.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(ksshaskpass)
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.8")
 
 find_package(Qt5 REQUIRED COMPONENTS Core)

=== debian/changelog ===
ksshaskpass (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:39:26 +0100

ksshaskpass (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:28:56 +0100

ksshaskpass (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:34:06 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf5wallet-dev (>= 5.42.0~),
                libkf5widgetsaddons-dev (>= 5.42.0~),
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/ksshaskpass
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksshaskpass

## ksshaskpass 5.13.5

=== debian/changelog ===
ksshaskpass (4:5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:34:56 +0100

ksshaskpass (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Bumped Frameworks & Qt build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 28 Aug 2018 13:37:40 +0100

ksshaskpass (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:03 +0200

ksshaskpass (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:41:11 +0100

ksshaskpass (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:25:57 +0100

ksshaskpass (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:03 +0200

ksshaskpass (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:31:10 +0100

ksshaskpass (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:24:09 +0100

ksshaskpass (4:5.12.3-1) sid; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.12.3).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Mar 2018 19:14:06 +0100

ksshaskpass (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:50 +0100

ksshaskpass (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:38 +0100

ksshaskpass (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Use https uri for uscan
  * Drop unused lintian override
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:44 +0100

ksshaskpass (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:48:58 -0300

ksshaskpass (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:26 +0200

ksshaskpass (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * update watch file to version=4 with pgp signature checking

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:28:24 +0200

ksshaskpass (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.42.0~),
                libkf5coreaddons-dev (>= 5.42.0~),
                libkf5doctools-dev (>= 5.42.0~),
@@ -13,7 +13,7 @@
                libkf5widgetsaddons-dev (>= 5.42.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://projects.kde.org/projects/kde/workspace/ksshaskpass
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksshaskpass
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksshaskpass

## ksshaskpass 5.14.5

=== debian/changelog ===
ksshaskpass (4:5.14.5-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:43:33 +0800

ksshaskpass (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:25:53 -0300

ksshaskpass (4:5.14.3-1) unstable; urgency=medium

  * Drop debian/meta/upstream_scm.json
  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:40 -0300

=== debian/control ===
Source: ksshaskpass
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5.50.0~),
               libkf5wallet-dev (>= 5.50.0~),
               libkf5widgetsaddons-dev (>= 5.50.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.11.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/ksshaskpass
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksshaskpass
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksshaskpass.git

Package: ksshaskpass
Architecture: any
Depends: openssh-client, ${misc:Depends}, ${shlibs:Depends}
Recommends: kwalletmanager
Provides: ssh-askpass
Description: interactively prompt users for a passphrase for ssh-add
 A version of ssh-askpass with KWallet support.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

## ksshaskpass 5.15.4

=== debian/changelog ===
ksshaskpass (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:09:38 +0100

ksshaskpass (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:09:04 +0000

ksshaskpass (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:13:46 +0000

ksshaskpass (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:33:34 +0000

ksshaskpass (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:53:12 +0000

ksshaskpass (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:24:25 +0000

ksshaskpass (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:48:13 +0000

ksshaskpass (4:5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:15:16 +0000

=== debian/control ===
Source: ksshaskpass
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5doctools-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5wallet-dev (>= 5.54.0~),
               libkf5widgetsaddons-dev (>= 5.54.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/ksshaskpass
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksshaskpass
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksshaskpass

Package: ksshaskpass
Architecture: any
Depends: openssh-client, ${misc:Depends}, ${shlibs:Depends}
Recommends: kwalletmanager
Provides: ssh-askpass
Description: interactively prompt users for a passphrase for ssh-add
 A version of ssh-askpass with KWallet support.

## ksshaskpass 5.16.5

=== debian/changelog ===
ksshaskpass (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:24:17 +0100

ksshaskpass (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:45:05 +0100

ksshaskpass (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:22:24 +0100

ksshaskpass (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:23:21 +0100

ksshaskpass (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:23:53 +0100

ksshaskpass (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:36:03 +0100

ksshaskpass (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:49:10 +0100

ksshaskpass (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:48:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               libkf5coreaddons-dev (>= 5.54.0~),
-               libkf5doctools-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5wallet-dev (>= 5.54.0~),
-               libkf5widgetsaddons-dev (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
+               libkf5coreaddons-dev (>= 5.58.0~),
+               libkf5doctools-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5wallet-dev (>= 5.58.0~),
+               libkf5widgetsaddons-dev (>= 5.58.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~),
 Standards-Version: 4.1.3

## ksshaskpass 5.18.4.1

=== CMakeLists.txt ===
project(ksshaskpass)
cmake_minimum_required(VERSION 2.8.12)
set(PROJECT_VERSION "5.18.4")

set(QT_MIN_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.66.0")

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(KDEClangFormat)

add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    I18n
    Wallet
    WidgetsAddons
)

find_package(KF5DocTools)
set_package_properties(KF5DocTools PROPERTIES TYPE OPTIONAL
   PURPOSE "Required to build ksshaskpass manpage")
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
endif()

set(ksshaskpass_SRCS src/main.cpp)
 
add_executable(ksshaskpass ${ksshaskpass_SRCS})
target_compile_definitions(ksshaskpass PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(ksshaskpass 
    KF5::CoreAddons
    KF5::I18n
    KF5::Wallet
    KF5::WidgetsAddons
)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

install(TARGETS ksshaskpass DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

if (KF5DocTools_FOUND)
    add_subdirectory(doc)
endif()
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
ksshaskpass (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:46:30 +0100

ksshaskpass (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:07:55 +0000

ksshaskpass (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:30:07 +0000

ksshaskpass (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:36:55 +0000

ksshaskpass (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:44:15 +0000

ksshaskpass (4:5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:08:09 +0000

ksshaskpass (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:44:46 +0000

ksshaskpass (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:24:02 +0000

ksshaskpass (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:04:50 +0000

ksshaskpass (4:5.17.2-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:50:05 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.58.0~),
-               libkf5coreaddons-dev (>= 5.58.0~),
-               libkf5doctools-dev (>= 5.58.0~),
-               libkf5i18n-dev (>= 5.58.0~),
-               libkf5wallet-dev (>= 5.58.0~),
-               libkf5widgetsaddons-dev (>= 5.58.0~),
+               extra-cmake-modules (>= 5.66.0~),
+               libkf5coreaddons-dev (>= 5.66.0~),
+               libkf5doctools-dev (>= 5.66.0~),
+               libkf5i18n-dev (>= 5.66.0~),
+               libkf5wallet-dev (>= 5.66.0~),
+               libkf5widgetsaddons-dev (>= 5.66.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~),
 Standards-Version: 4.1.3

## ksshaskpass 5.19.5

=== debian/changelog ===
ksshaskpass (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:53:46 +0100

ksshaskpass (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:42:05 +0100

ksshaskpass (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:59:04 +0100

ksshaskpass (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:45:32 +0100

ksshaskpass (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:40:08 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
-               libkf5coreaddons-dev (>= 5.66.0~),
-               libkf5doctools-dev (>= 5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5wallet-dev (>= 5.66.0~),
-               libkf5widgetsaddons-dev (>= 5.66.0~),
+               extra-cmake-modules (>= 5.70.0~),
+               libkf5coreaddons-dev (>= 5.70.0~),
+               libkf5doctools-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5wallet-dev (>= 5.70.0~),
+               libkf5widgetsaddons-dev (>= 5.70.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~),
 Standards-Version: 4.1.3
